GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List engines GET
Engines

Get usage GET

The workspace's usage against its plan limits this period.

List countries GET

List supported target countries.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Engines

List engines

GET
/engines

List every AI engine in display order.

Response Body

Every engine in display order

application/json
  1. response
  1. response
  2. …
items*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/engines'
Example Response
{  "items": [    {      "slug": "string",      "name": "string",      "provider": "string"    }  ]}

Get usage GET

The workspace's usage against its plan limits this period.

List countries GET

List supported target countries.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/engines'
{
  "items": [
    {
      "slug": "string",
      "name": "string",
      "provider": "string"
    }
  ]
}